Subject: Accumulating PPC_FEATURE_ARCH bits

From: Richard Henderson <[email-masked]>
Date: Mon, 18 Feb 2013 09:06:08 -0800

If one wants to test the PPC_FEATURE_ARCH_ISA_2_0[56] bits, one has to 
be careful that if 2_06 is set, 2_05 won't be.  This seems illogical to 
me: given that 2.06 includes all of the 2.05 instructions, it would make 
most sense if both bits were set in the hwcap.

Now, obviously I have to code around existing practice, but going 
forward this isn't tennable.  When a Power 2.07 ISA is released, I'd 
rather not have existing programs degrade because suddenly the 2_06 bit 
is no longer set.

Thanks,

r~